Resolve
Returns the manager URL for a given project and platform. The project can be provided as a query parameter, or derived from the token's scope (project-scoped, deployment-group-scoped, or deployment-scoped tokens carry an implicit project). This is the single entry point for all CLI tools to discover which manager to talk to.
Authorization
apiKey API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must match the key's workspace.
^(?!ws[-_])[a-z0-9](-?[a-z0-9])*$4 <= length <= 100Target platform to resolve the manager for
Value in
- "aws"
- "gcp"
- "azure"
- "kubernetes"
- "machines"
- "local"
- "test"
Project ID or name. Required for user and workspace-scoped tokens. Optional for project/deployment-group/deployment-scoped tokens (derived from token scope).
length <= 100Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/resolve?platform=aws"{ "managerId": "string", "managerName": "string", "managerUrl": "http://example.com", "managerIsSystem": true, "managerCloud": "aws", "projectId": "string", "installContext": { "platform": "aws", "managementConfig": { "managingRoleArn": "string", "platform": "aws" } }}